require 'mxx_ru/cpp'

Mxx_ru::setup_target(
	Mxx_ru::Cpp::Composite_target.new( Mxx_ru::BUILD_ROOT ) {

		global_include_path( "." )

		# Если есть локальные настройки компиляции, то используем их.
		if FileTest.exist?( "local-build.rb" )
			required_prj "local-build.rb"
		end

		required_prj( "oess_1/stdsn/prj.rb" )
		required_prj( "test/reenterability/prj.ut.rb" )
		required_prj( "test/stdsn/shptr/prj.ut.rb" )
		required_prj( "test/stdsn/shptr.cloneable/prj.ut.rb" )

		required_prj( "oess_1/scheme/prj.rb" )
		required_prj( "oess_1/util_cpp_serializer/prj.rb" )
		required_prj( "oess_1/file/prj.rb" )

		required_prj( "oess_1/db/prj.rb" )
		required_prj( "test/storage/is_exists/prj.ut.rb" )
		required_prj( "test/storage/create/prj.ut.rb" )
		required_prj( "test/storage/snapshot_collection/prj.ut.rb" )
		required_prj( "test/stream_storage/create/prj.ut.rb" )
		required_prj( "test/stream_storage/entity/prj.ut.rb" )
		required_prj( "test/oess_db/create/prj.ut.rb" )
		required_prj( "test/oess_db/ent_raw/prj.ut.rb" )
		required_prj( "test/oess_db/nonunique_index/prj.ut.rb" )

		required_prj( "oess_1/util_ent_enum/prj.rb" )
		required_prj( "oess_1/util_slice_create/prj.rb" )
		required_prj( "oess_1/util_trace_replay/prj.rb" )
		required_prj( "oess_1/tlv/prj.rb" )

		required_prj( "test/attr_default/prj.rb" )
		required_prj( "test/binbuffer/prj.rb" )

		required_prj( "test/subclassing_by_extension/pack_unpack/v1/prj.rb" )
		required_prj( "test/subclassing_by_extension/pack_unpack/v2/prj.rb" )

		required_prj( "test/tlv/compound/prj.rb" )
		required_prj( "test/tlv/string/prj.rb" )

		required_prj( "test/type_extension/v1/prj.rb" )
		required_prj( "test/type_extension/v2/prj.rb" )

		required_prj( "test/bench/oess_file/write.rb" )
		required_prj( "test/bench/oess_file/read.rb" )

		required_prj( "test/bench/chain_storage/create_update/prj.rb" )
		required_prj( "test/bench/stream_storage/create_update/prj.rb" )
		required_prj( "test/bench/oess_db/create_update/prj.rb" )
		required_prj( "test/bench/oess_db/create_remove/prj.rb" )
		required_prj( "test/bench/oess_db/create_read/prj.rb" )

		required_prj( "sample/app_recovery/prj.rb" )
		required_prj( "sample/file_archive_2/prj.rb" )
		required_prj( "sample/subextension/prj.ut.rb" )
		required_prj( "sample/subextension.auto_ptr/prj.ut.rb" )
	}
)
